# IPermissionHandler (api 1.1 API)
declaration: package: dev.plex.api.permission, interface: IPermissionHandler

Package dev.plex.api.permission

# Interface IPermissionHandler

public interface IPermissionHandler

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`hasPermission(@NotNull org.bukkit.entity.Player player, @Nullable String permission)`
`default boolean`
`hasPermission(@NotNull org.bukkit.OfflinePlayer player, @Nullable String permission)`

## Method Details

### hasPermission

default boolean hasPermission(@NotNull @NotNull org.bukkit.entity.Player player, @Nullable @Nullable String permission)

### hasPermission

default boolean hasPermission(@NotNull @NotNull org.bukkit.OfflinePlayer player, @Nullable @Nullable String permission)